%define _prefix /usr

Summary:       Cartographic projection software
Name:          libproj0
Version:       4.7.0
Release:       1.16
URL:           ftp://ftp.remotesensing.org/proj/
Source0:       proj-%{version}.tar.bz2
Source1:       proj-datumgrid-1.5.zip
License:       MIT License, Copyright (c) 2000, Frank Warmerdam
Group:         Applications/GIS
Packager:      Dirk Stöcker <opensuse@dstoecker.de>
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Prefix:        %{_prefix}
BuildRequires: bzip2 unzip
Provides:      libproj = %{version}

%package -n libproj-devel
Summary:       Development files for PROJ.4
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%package -n proj4
Summary:       Executables for PROJ.4
Group:         Applications/GIS
Requires:      %{name} = %{version}-%{release}

%description
This package the library for performing respective
forward and inverse transformation of cartographic data to or from cartesian 
data with a wide range of selectable projection functions. 

%description -n proj4
This package offers the commandline tools for performing respective
forward and inverse transformation of cartographic data to or from cartesian 
data with a wide range of selectable projection functions. 

%description -n libproj-devel
This package contains libproj and the appropriate header files and man pages.

%prep
%setup -b 0 -n proj-%{version}
cd nad
unzip -o %{SOURCE1}

%build
%configure  --prefix=%{_prefix}
make

%install
%makeinstall
#/bin/rm -f %{buildroot}%{_libdir}/*.la
#/bin/rm -f %{buildroot}%{_mandir}/*/*.gz

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean

%files
%defattr(0644,root,root)
%{_libdir}/*.so.*

%files -n proj4
%defattr(-,root,root)
%doc NEWS AUTHORS COPYING README ChangeLog
%defattr(0755,root,root)
%{_bindir}/*
%dir %{_datadir}/proj
%defattr(0644,root,root)
%{_mandir}/man1/*.1*
%{_datadir}/proj/*

%files -n libproj-devel
%defattr(0644,root,root)
%{_mandir}/man3/*.3*
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Tue Nov 24 2009 Otto Dassau <dassau@gbd-consult.de> 4.7.0
- update to new proj4 version 
- update to new datumgrid version 1.5
* Sun Oct 19 2008 Jan-Simon Moeller <dl9pf@gmx.de>
- change spec to build on factory
* Wed Sep 17 2008 Otto Dassau 4.6.1
- version update
* Wed Jul 09 2008 Otto Dassau 4.6.0
- update and rpmlind fixes
* Mon Aug 13 2007 Dirk Stöcker 4.5.0
- adapted to BuildService
* Fri Jan 05 2007 Otto Dassau 4.5.0
- moved *.so from files devel to files
* Tue Dec 19 2006 Otto Dassau 4.5.0
- rebuilt for SuSE 10.2
* Wed Jan 25 2006 Otto Dassau 4.4.9
- rebuilt for SuSE 10.0 and added devel package
* Thu Nov 17 2005 Markus Neteler 4.4.9
- upgraded to Mandriva 2006
* Fri Aug 05 2005 Otto Dassau 4.4.9
- Applied for Mandrake 10.1 RPM
